Chart area supports the following customization:
Background: color , transparency.
Text: font family, font size, color, transparency.
Border: color, transparency, width, dash style.
You can customize the chart area using the following code:
var spread;
window.onload = function () {
spread = new GC.Spread.Sheets.Workbook(document.getElementById("ss"), { sheetCount: 2 });
initSpread(spread);
initEvent(spread);
//readSetting(new GC.Spread.Sheets.CellTypes.CheckBoxList());
};
function initSpread(spread) {
var sheet = spread.getSheet(0);
sheet.suspendPaint();
var dataArray = [
["", 'Chrome', 'Firefox', 'IE', 'Safari', 'Edge', 'Opera', 'Other'],
["2014", 0.4966, 0.1801, 0.2455, 0.0470, 0.0, 0.0150, 0.0158],
["2015", 0.5689, 0.1560, 0.1652, 0.0529, 0.0158, 0.0220, 0.0192],
["2016", 0.6230, 0.1531, 0.1073, 0.0464, 0.0311, 0.0166, 0.0225],
["2017", 0.6360, 0.1304, 0.0834, 0.0589, 0.0443, 0.0223, 0.0246]
];
sheet.setArray(0, 0, dataArray);
var chart = sheet.charts.add('Chart1', GC.Spread.Sheets.Charts.ChartType.lineMarkers, 30, 120, 480, 270, "A1:D5", GC.Spread.Sheets.Charts.RowCol.columns);
chart.title({text: "Chart Area Customization"});
var chartArea = chart.chartArea();
chartArea.border.color = "green";
chartArea.border.width = 3;
chartArea.fontSize = 9;
chartArea.color = "green";
chartArea.backColor = "orange";
chartArea.backColorTransparency = 0.8;
chart.chartArea(chartArea);
sheet.resumePaint();
};
function initEvent(spread) {
spread.bind(GC.Spread.Sheets.Events.FloatingElementSelected, function () {
var sheet = spread.getActiveSheet();
var chart = getActiveChart(sheet);
if (chart) {
readSetting(chart);
}
});
_getElementById("apply").addEventListener('click', function () {
applySetting();
});
};
function readSetting(chart) {
var chartArea = chart.chartArea();
_getElementById("backColor").value = chartArea.backColor;
_getElementById("backColorTransparency").value = chartArea.backColorTransparency;
_getElementById("fontFamily").value = chartArea.fontFamily;
_getElementById("fontSize").value = chartArea.fontSize;
_getElementById("color").value = chartArea.color;
_getElementById("transparency").value = chartArea.transparency;
_getElementById("border-color").value = chartArea.border.color;
_getElementById("border-transparency").value = chartArea.border.transparency;
_getElementById("border-width").value = chartArea.border.width;
_getElementById("border-dashStyle").value = chartArea.border.dashStyle;
}
function applySetting() {
var sheet = spread.getActiveSheet();
var chart = getActiveChart(sheet);
if (!chart) {
return;
}
var chartArea = {
backColor: _getText("backColor"),
backColorTransparency: _getFloat("backColorTransparency"),
color: _getText("color"),
transparency: _getFloat("transparency"),
fontFamily: _getText("fontFamily"),
fontSize: _getValue("fontSize"),
border:{
color: _getText("border-color"),
width: _getValue("border-width"),
transparency: _getFloat("border-transparency"),
dashStyle: _getValue("border-dashStyle")
},
}
chart.chartArea(chartArea);
}
function getActiveChart(sheet) {
var activeChart = null;
sheet.charts.all().forEach(function (chart) {
if (chart.isSelected()) {
activeChart = chart;
}
});
return activeChart;
}
function _getElementById(id) {
return document.getElementById(id);
}
function _geBoolean(id) {
return _getElementById(id).checked;
}
function _getFloat(id) {
return parseFloat(_getElementById(id).value);
}
function _getValue(id) {
return parseInt(_getElementById(id).value);
}
function _getText(id) {
return _getElementById(id).value;
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/dist/gc.spread.sheets.all.min.js" type="text/javascript"></script>
<script src="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets-shapes/dist/gc.spread.sheets.shapes.min.js" type="text/javascript"></script>
<script src="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets-charts/dist/gc.spread.sheets.charts.min.js" type="text/javascript"></script>
<script src="$DEMOROOT$/spread/source/js/license.js" type="text/javascript"></script>
<script src="app.js" type="text/javascript"></script>
<link rel="stylesheet" type="text/css" href="styles.css">
</head>
<body>
<div class="sample-tutorial">
<div class="sample-tutorial">
<div id="ss" class="sample-spreadsheets"></div>
<div class="options-container">
<p>Change the properties below then press the Set button to apply these changes.</p>
<div class="option-row" id="">
<label for="backColor">Back Color</label>
<input type="text" id="backColor" value="#FF0000" />
</div>
<div class="option-row" id="">
<label for="backColorTransparency">Back Color Transparency</label>
<input type="number" id="backColorTransparency" step="0.1" min="0" max="1" value="0.7" />
</div>
<div class="option-row" id="">
<label for="fontFamily">Font Family</label>
<input type="text" id="fontFamily" value="Calibri" />
</div>
<div class="option-row" id="">
<label for="fontSize">Font Size</label>
<input type="number" id="fontSize" step="1" min="0" max="100" value="1" />
</div>
<div class="option-row" id="">
<label for="color">Color</label>
<input type="text" id="color" value="#00FF00" />
</div>
<div class="option-row" id="">
<label for="transparency">Transparency</label>
<input type="number" id="transparency" step="0.1" min="0" max="1" value="0.7" />
</div>
<hr>
<div class="option-row" id="">
<label for="border-color">Border Color:</label>
<input type="text" id="border-color" value="#00FF00" />
</div>
<div class="option-row" id="">
<label for="border-transparency">Border Transparency:</label>
<input type="number" id="border-transparency" step="0.1" min="0" max="1" value="1" />
</div>
<div class="option-row" id="">
<label for="border-width">Border Width:</label>
<input type="number" id="border-width" step="1" min="0" max="100" value="1" />
</div>
<div class="option-row" id="">
<label for="border-dashStyle">Border DashStyle:</label>
<select id="border-dashStyle">
<option value="0" selected="selected">solid</option>
<option value="1">dot</option>
<option value="2">dash</option>
<option value="3">lgDash</option>
<option value="4">dashDot</option>
<option value="5">lgDashDot</option>
<option value="6">lgDashDotDot</option>
<option value="7">sysDash</option>
<option value="8">sysDot</option>
<option value="9">sysDashDot</option>
<option value="10">sysDashDotDot</option>
</select>
</div>
<div class="option-row">
<input type="button" id="apply" value="Set" />
</div>
</div>
</div>
</div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
}
.option-row {
padding-bottom: 5px;
}
label {
display:inline-block;
}
input{
padding: 1px 8px;
box-sizing: border-box;
width: 100%;
}
select{
width: 100%;
}
input[type=checkbox] {
display: inline-block;
width: auto;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}

Chart area supports the following customization:
Background: color , transparency.
Text: font family, font size, color, transparency.
Border: color, transparency, width, dash style.
You can customize the chart area using the following code:
<template>
<div class="sample-tutorial">
<gc-spread-sheets class="sample-spreadsheets" @workbookInitialized="initSpread">
<gc-worksheet />
</gc-spread-sheets>
<div class="options-container">
<p>Change the properties below then press the Set button to apply these changes.</p>
<div class="option-row">
<label for="backColor">Back Color</label>
<input type="text" id="backColor" v-model="backColor" />
</div>
<div class="option-row">
<label for="backColorTransparency">Back Color Transparency</label>
<input type="number" id="backColorTransparency" step="0.1" min="0" max="1"
v-model="backColorTransparency" />
</div>
<div class="option-row">
<label for="fontFamily">Font Family</label>
<input type="text" id="fontFamily" v-model="fontFamily" />
</div>
<div class="option-row">
<label for="fontSize">Font Size</label>
<input type="number" id="fontSize" step="1" min="0" max="100" v-model="fontSize" />
</div>
<div class="option-row">
<label for="color">Color</label>
<input type="text" id="color" v-model="color" />
</div>
<div class="option-row">
<label for="transparency">Transparency</label>
<input type="number" id="transparency" step="0.1" min="0" max="1" v-model="transparency" />
</div>
<hr />
<div class="option-row">
<label for="border-color">Border Color:</label>
<input type="text" id="border-color" v-model="borderColor" />
</div>
<div class="option-row">
<label for="border-transparency">Border Transparency:</label>
<input type="number" id="border-transparency" step="0.1" min="0" max="1" v-model="borderTransparency" />
</div>
<div class="option-row">
<label for="border-width">Border Width:</label>
<input type="number" id="border-width" step="1" min="0" max="100" v-model="borderWidth" />
</div>
<div class="option-row">
<label for="border-dashStyle">Border DashStyle:</label>
<select id="border-dashStyle" v-model="borderDashStyle">
<option value="0">solid</option>
<option value="1">dot</option>
<option value="2">dash</option>
<option value="3">lgDash</option>
<option value="4">dashDot</option>
<option value="5">lgDashDot</option>
<option value="6">lgDashDotDot</option>
<option value="7">sysDash</option>
<option value="8">sysDot</option>
<option value="9">sysDashDot</option>
<option value="10">sysDashDotDot</option>
</select>
</div>
<div class="option-row">
<input type="button" id="apply" value="Set" @click="applySetting" />
</div>
</div>
</div>
</template>
<script setup>
import { ref } from 'vue';
import '@mescius/spread-sheets-vue';
import GC from '@mescius/spread-sheets';
import '@mescius/spread-sheets-shapes';
import '@mescius/spread-sheets-charts';
const spread = ref(null);
const backColor = ref('#FF0000');
const backColorTransparency = ref(0.7);
const color = ref('#00FF00');
const fontFamily = ref('Calibri');
const fontSize = ref(12);
const transparency = ref(0.7);
const borderColor = ref('#00FF00');
const borderWidth = ref(1);
const borderTransparency = ref(1);
const borderDashStyle = ref('0');
function initSpread(spreadInstance) {
spread.value = spreadInstance;
spreadInstance.setSheetCount(2);
const sheet = spreadInstance.getSheet(0);
sheet.suspendPaint();
const dataArray = [
["", 'Chrome', 'Firefox', 'IE', 'Safari', 'Edge', 'Opera', 'Other'],
["2014", 0.4966, 0.1801, 0.2455, 0.0470, 0.0, 0.0150, 0.0158],
["2015", 0.5689, 0.1560, 0.1652, 0.0529, 0.0158, 0.0220, 0.0192],
["2016", 0.6230, 0.1531, 0.1073, 0.0464, 0.0311, 0.0166, 0.0225],
["2017", 0.6360, 0.1304, 0.0834, 0.0589, 0.0443, 0.0223, 0.0246],
];
sheet.setArray(0, 0, dataArray);
const chart = sheet.charts.add(
'Chart1',
GC.Spread.Sheets.Charts.ChartType.lineMarkers,
30,
120,
480,
270,
"A1:D5",
GC.Spread.Sheets.Charts.RowCol.columns
);
chart.title({
text: "Chart Area Customization",
});
const chartArea = chart.chartArea();
chartArea.border.color = "green";
chartArea.border.width = 3;
chartArea.fontSize = 9;
chartArea.color = "green";
chartArea.backColor = "orange";
chartArea.backColorTransparency = 0.8;
chart.chartArea(chartArea);
sheet.resumePaint();
}
function applySetting() {
if (!spread.value) return;
const sheet = spread.value.getActiveSheet();
const chart = getActiveChart(sheet);
if (!chart) return;
const chartArea = {
backColor: backColor.value,
backColorTransparency: parseFloat(backColorTransparency.value),
color: color.value,
transparency: parseFloat(transparency.value),
fontFamily: fontFamily.value,
fontSize: parseInt(fontSize.value),
border: {
color: borderColor.value,
width: parseInt(borderWidth.value),
transparency: parseFloat(borderTransparency.value),
dashStyle: parseInt(borderDashStyle.value),
},
};
chart.chartArea(chartArea);
}
function getActiveChart(sheet) {
let activeChart = null;
sheet.charts.all().forEach(chart => {
if (chart.isSelected()) {
activeChart = chart;
}
});
return activeChart;
}
</script>
<style scoped>
#app {
height: 100%;
}
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
}
.option-row {
padding-bottom: 5px;
}
label {
display: inline-block;
}
input {
padding: 1px 8px;
box-sizing: border-box;
width: 100%;
}
select {
width: 100%;
}
input[type=checkbox] {
display: inline-block;
width: auto;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
</style>
<!DOCTYPE html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>SpreadJS VUE</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css"
href="$DEMOROOT$/en/vue3/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/en/vue3/node_modules/systemjs/dist/system.src.js"></script>
<script src="./systemjs.config.js"></script>
<script src="./compiler.js" type="module"></script>
<script>
var System = SystemJS;
System.import("./src/app.js");
System.import('$DEMOROOT$/en/lib/vue3/license.js');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
(function (global) {
SystemJS.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
packageConfigPaths: [
'./node_modules/*/package.json',
"./node_modules/@mescius/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json"
],
map: {
'vue': "npm:vue/dist/vue.esm-browser.js",
'tiny-emitter': 'npm:tiny-emitter/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
"systemjs-babel-build": "npm:systemjs-plugin-babel/systemjs-babel-browser.js",
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-resources-en': 'npm:@mescius/spread-sheets-resources-en/index.js',
'@mescius/spread-sheets-vue': 'npm:@mescius/spread-sheets-vue/index.js',
'@mescius/spread-sheets-shapes': 'npm:@mescius/spread-sheets-shapes/index.js',
'@mescius/spread-sheets-charts': 'npm:@mescius/spread-sheets-charts/index.js',
},
meta: {
'*.css': { loader: 'systemjs-plugin-css' },
'*.vue': { loader: "../plugin-vue/index.js" }
}
});
})(this);

Chart area supports the following customization:
Background: color , transparency.
Text: font family, font size, color, transparency.
Border: color, transparency, width, dash style.
You can customize the chart area using the following code:
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import './styles.css';
import { AppFunc } from './app-func';
// import { App } from './app-class';
// 1. Functional Component sample
ReactDOM.render(<AppFunc />, document.getElementById('app'));
// 2. Class Component sample
// ReactDOM.render(<App />, document.getElementById('app'));
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
import '@mescius/spread-sheets-shapes';
import '@mescius/spread-sheets-charts';
function _getFloat(e) {
return parseFloat(e.target.value);
}
function _getValue(e) {
return parseInt(e.target.value);
}
function _getText(e) {
return e.target.value;
}
let spread = null;
export function AppFunc() {
const [plotAreaOption, setPlotAreaOption] = React.useState({
backColor: '#FF0000',
backColorTransparency: 0.7,
color: '#00FF00',
fontFamily: 'Calibri',
fontSize: 1,
transparency: 0.7,
borderColor: '#00FF00',
borderWidth: 1,
borderTransparency: 1,
borderDashStyle: '0'
});
const initSpread = (currSpread) => {
spread = currSpread;
spread.setSheetCount(2);
let sheet = spread.getSheet(0);
sheet.suspendPaint();
let dataArray = [
["", 'Chrome', 'Firefox', 'IE', 'Safari', 'Edge', 'Opera', 'Other'],
["2014", 0.4966, 0.1801, 0.2455, 0.0470, 0.0, 0.0150, 0.0158],
["2015", 0.5689, 0.1560, 0.1652, 0.0529, 0.0158, 0.0220, 0.0192],
["2016", 0.6230, 0.1531, 0.1073, 0.0464, 0.0311, 0.0166, 0.0225],
["2017", 0.6360, 0.1304, 0.0834, 0.0589, 0.0443, 0.0223, 0.0246]
];
sheet.setArray(0, 0, dataArray);
let chart = sheet.charts.add('Chart1', GC.Spread.Sheets.Charts.ChartType.lineMarkers, 30, 120, 480, 270, "A1:D5", GC.Spread.Sheets.Charts.RowCol.columns);
chart.title({ text: "Chart Area Customization" });
let chartArea = chart.chartArea();
chartArea.border.color = "green";
chartArea.border.width = 3;
chartArea.fontSize = 9;
chartArea.color = "green";
chartArea.backColor = "orange";
chartArea.backColorTransparency = 0.8;
chart.chartArea(chartArea);
sheet.resumePaint();
initEvent();
};
const initEvent = () => {
spread.bind(GC.Spread.Sheets.Events.FloatingElementSelected, function () {
let sheet = spread.getActiveSheet();
let chart = getActiveChart(sheet);
if (chart) {
readSetting(chart);
}
});
};
const readSetting = (chart) => {
let chartArea = chart.chartArea();
setPlotAreaOption({
...plotAreaOption,
backColor: chartArea.backColor,
backColorTransparency: chartArea.backColorTransparency,
color: chartArea.color,
fontFamily: chartArea.fontFamily,
fontSize: chartArea.fontSize,
transparency: chartArea.transparency,
borderColor: chartArea.border.color,
borderWidth: chartArea.border.width,
borderTransparency: chartArea.border.transparency,
borderDashStyle: chartArea.border.dashStyle
})
}
const applySetting = (setting) => {
let sheet = spread.getActiveSheet();
let chart = getActiveChart(sheet);
if (!chart) {
return;
}
let chartArea = {
backColor: setting.backColor,
backColorTransparency: setting.backColorTransparency,
color: setting.color,
transparency: setting.transparency,
fontFamily: setting.fontFamily,
fontSize: setting.fontSize,
border: {
color: setting.borderColor,
width: setting.borderWidth,
transparency: parseFloat(setting.borderTransparency),
dashStyle: parseInt(setting.borderDashStyle)
},
}
chart.chartArea(chartArea);
}
const getActiveChart = (sheet) => {
let activeChart = null;
sheet.charts.all().forEach(function (chart) {
if (chart.isSelected()) {
activeChart = chart;
}
});
return activeChart;
}
return (<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => initSpread(spread)}>
<Worksheet />
</SpreadSheets>
</div>
<Panel applySetting={(e) => { applySetting(e) }} setting={plotAreaOption} />
</div>);
}
function Panel(props) {
const [setting, setSetting] = React.useState(props.setting);
React.useEffect(() => {
if (setting !== props.setting) {
setSetting(props.setting);
}
}, [props.setting]);
return (
<div class="options-container">
<p>Change the properties below then press the Set button to apply these changes.</p>
<div class="option-row" id="">
<label for="backColor">Back Color</label>
<input type="text" id="backColor" value={setting.backColor} onChange={(e) => setSetting({ ...setting, backColor: _getText(e) })} />
</div>
<div class="option-row" id="">
<label for="backColorTransparency">Back Color Transparency</label>
<input type="number" id="backColorTransparency" step="0.1" min="0" max="1" value={setting.backColorTransparency} onChange={(e) => setSetting({ ...setting, backColorTransparency: _getFloat(e) })} />
</div>
<div class="option-row" id="">
<label for="fontFamily">Font Family</label>
<input type="text" id="fontFamily" value={setting.fontFamily} onChange={(e) => setSetting({ ...setting, fontFamily: _getText(e) })} />
</div>
<div class="option-row" id="">
<label for="fontSize">Font Size</label>
<input type="number" id="fontSize" step="1" min="0" max="100" value={setting.fontSize} onChange={(e) => setSetting({ ...setting, fontSize: _getValue(e) })} />
</div>
<div class="option-row" id="">
<label for="color">Color</label>
<input type="text" id="color" value={setting.color} onChange={(e) => setSetting({ ...setting, color: _getText(e) })} />
</div>
<div class="option-row" id="">
<label for="transparency">Transparency</label>
<input type="number" id="transparency" step="0.1" min="0" max="1" value={setting.transparency} onChange={(e) => setSetting({ ...setting, transparency: _getFloat(e) })} />
</div>
<hr />
<div class="option-row" id="">
<label for="border-color">Border Color:</label>
<input type="text" id="border-color" value={setting.borderColor} onChange={(e) => setSetting({ ...setting, borderColor: _getText(e) })} />
</div>
<div class="option-row" id="">
<label for="border-transparency">Border Transparency:</label>
<input type="number" id="border-transparency" step="0.1" min="0" max="1" value={setting.borderTransparency} onChange={(e) => setSetting({ ...setting, borderTransparency: _getFloat(e) })} />
</div>
<div class="option-row" id="">
<label for="border-width">Border Width:</label>
<input type="number" id="border-width" step="1" min="0" max="100" value={setting.borderWidth} onChange={(e) => setSetting({ ...setting, borderWidth: _getValue(e) })} />
</div>
<div class="option-row" id="">
<label for="border-dashStyle">Border DashStyle:</label>
<select id="border-dashStyle" value={setting.borderDashStyle} onChange={(e) => setSetting({ ...setting, borderDashStyle: _getValue(e) })}>
<option value="0">solid</option>
<option value="1">dot</option>
<option value="2">dash</option>
<option value="3">lgDash</option>
<option value="4">dashDot</option>
<option value="5">lgDashDot</option>
<option value="6">lgDashDotDot</option>
<option value="7">sysDash</option>
<option value="8">sysDot</option>
<option value="9">sysDashDot</option>
<option value="10">sysDashDotDot</option>
</select>
</div>
<div class="option-row">
<input type="button" id="apply" value="Set" onClick={(e) => { props.applySetting(setting) }} />
</div>
</div>
)
}
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
import '@mescius/spread-sheets-shapes';
import '@mescius/spread-sheets-charts';
const Component = React.Component;
function _getFloat(e) {
return parseFloat(e.target.value);
}
function _getValue(e) {
return parseInt(e.target.value);
}
function _getText(e) {
return e.target.value;
}
export class App extends Component {
constructor(props) {
super(props);
this.spread = null;
this.state = {
backColor: '#FF0000',
backColorTransparency: 0.7,
color: '#00FF00',
fontFamily: 'Calibri',
fontSize: 1,
transparency: 0.7,
borderColor: '#00FF00',
borderWidth: 1,
borderTransparency: 1,
borderDashStyle: '0'
}
}
render() {
return (<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => this.initSpread(spread)}>
<Worksheet />
</SpreadSheets>
</div>
<Panel applySetting={(e) => { this.applySetting(e) }} setting= {this.state}/>
</div>);
}
initSpread(spread) {
this.spread = spread;
spread.setSheetCount(2);
let sheet = spread.getSheet(0);
sheet.suspendPaint();
let dataArray = [
["", 'Chrome', 'Firefox', 'IE', 'Safari', 'Edge', 'Opera', 'Other'],
["2014", 0.4966, 0.1801, 0.2455, 0.0470, 0.0, 0.0150, 0.0158],
["2015", 0.5689, 0.1560, 0.1652, 0.0529, 0.0158, 0.0220, 0.0192],
["2016", 0.6230, 0.1531, 0.1073, 0.0464, 0.0311, 0.0166, 0.0225],
["2017", 0.6360, 0.1304, 0.0834, 0.0589, 0.0443, 0.0223, 0.0246]
];
sheet.setArray(0, 0, dataArray);
let chart = sheet.charts.add('Chart1', GC.Spread.Sheets.Charts.ChartType.lineMarkers, 30, 120, 480, 270, "A1:D5", GC.Spread.Sheets.Charts.RowCol.columns);
chart.title({ text: "Chart Area Customization" });
let chartArea = chart.chartArea();
chartArea.border.color = "green";
chartArea.border.width = 3;
chartArea.fontSize = 9;
chartArea.color = "green";
chartArea.backColor = "orange";
chartArea.backColorTransparency = 0.8;
chart.chartArea(chartArea);
sheet.resumePaint();
this.initEvent();
};
initEvent(spread) {
let self = this;
self.spread.bind(GC.Spread.Sheets.Events.FloatingElementSelected, function () {
let sheet = self.spread.getActiveSheet();
let chart = self.getActiveChart(sheet);
if (chart) {
self.readSetting(chart);
}
});
};
readSetting(chart) {
let chartArea = chart.chartArea();
this.setState({
backColor: chartArea.backColor,
backColorTransparency: chartArea.backColorTransparency,
color: chartArea.color,
fontFamily: chartArea.fontFamily,
fontSize: chartArea.fontSize,
transparency: chartArea.transparency,
borderColor: chartArea.border.color,
borderWidth: chartArea.border.width,
borderTransparency: chartArea.border.transparency,
borderDashStyle: chartArea.border.dashStyle
})
}
applySetting(setting) {
let sheet = this.spread.getActiveSheet();
let chart = this.getActiveChart(sheet);
if (!chart) {
return;
}
let chartArea = {
backColor: setting.backColor,
backColorTransparency: setting.backColorTransparency,
color: setting.color,
transparency: setting.transparency,
fontFamily:setting.fontFamily,
fontSize: setting.fontSize,
border: {
color: setting.borderColor,
width: setting.borderWidth,
transparency: parseFloat(setting.borderTransparency),
dashStyle: parseInt(setting.borderDashStyle)
},
}
chart.chartArea(chartArea);
}
getActiveChart(sheet) {
let activeChart = null;
sheet.charts.all().forEach(function (chart) {
if (chart.isSelected()) {
activeChart = chart;
}
});
return activeChart;
}
}
class Panel extends Component {
constructor(props) {
super(props);
this.state = this.props.setting;
}
componentWillReceiveProps(nextProps) {
this.setState(nextProps.setting);
}
render() {
return (
<div class="options-container">
<p>Change the properties below then press the Set button to apply these changes.</p>
<div class="option-row" id="">
<label for="backColor">Back Color</label>
<input type="text" id="backColor" value={this.state.backColor} onChange={(e) =>this.setState({backColor: _getText(e)})}/>
</div>
<div class="option-row" id="">
<label for="backColorTransparency">Back Color Transparency</label>
<input type="number" id="backColorTransparency" step="0.1" min="0" max="1" value={this.state.backColorTransparency} onChange={(e) =>this.setState({backColorTransparency: _getFloat(e)})} />
</div>
<div class="option-row" id="">
<label for="fontFamily">Font Family</label>
<input type="text" id="fontFamily" value={this.state.fontFamily} onChange={(e) =>this.setState({fontFamily: _getText(e)})}/>
</div>
<div class="option-row" id="">
<label for="fontSize">Font Size</label>
<input type="number" id="fontSize" step="1" min="0" max="100" value={this.state.fontSize} onChange={(e) =>this.setState({fontSize: _getValue(e)})} />
</div>
<div class="option-row" id="">
<label for="color">Color</label>
<input type="text" id="color" value={this.state.color} onChange={(e) =>this.setState({color: _getText(e)})} />
</div>
<div class="option-row" id="">
<label for="transparency">Transparency</label>
<input type="number" id="transparency" step="0.1" min="0" max="1" value={this.state.transparency} onChange={(e) =>this.setState({transparency: _getFloat(e)})} />
</div>
<hr />
<div class="option-row" id="">
<label for="border-color">Border Color:</label>
<input type="text" id="border-color" value={this.state.borderColor} onChange={(e) =>this.setState({borderColor: _getText(e)})} />
</div>
<div class="option-row" id="">
<label for="border-transparency">Border Transparency:</label>
<input type="number" id="border-transparency" step="0.1" min="0" max="1" value={this.state.borderTransparency} onChange={(e) =>this.setState({borderTransparency: _getFloat(e)})} />
</div>
<div class="option-row" id="">
<label for="border-width">Border Width:</label>
<input type="number" id="border-width" step="1" min="0" max="100" value={this.state.borderWidth} onChange={(e) =>this.setState({borderWidth: _getValue(e)})}/>
</div>
<div class="option-row" id="">
<label for="border-dashStyle">Border DashStyle:</label>
<select id="border-dashStyle" value={this.state.borderDashStyle} onChange={(e) =>this.setState({borderDashStyle: _getValue(e)})}>
<option value="0">solid</option>
<option value="1">dot</option>
<option value="2">dash</option>
<option value="3">lgDash</option>
<option value="4">dashDot</option>
<option value="5">lgDashDot</option>
<option value="6">lgDashDotDot</option>
<option value="7">sysDash</option>
<option value="8">sysDot</option>
<option value="9">sysDashDot</option>
<option value="10">sysDashDotDot</option>
</select>
</div>
<div class="option-row">
<input type="button" id="apply" value="Set" onClick={(e)=>{this.props.applySetting(this.state)}}/>
</div>
</div>
)
}
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/react/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- SystemJS -->
<script src="$DEMOROOT$/en/react/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('$DEMOROOT$/en/lib/react/license.js').then(function () {
System.import('./src/app');
});
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
}
.option-row {
padding-bottom: 5px;
}
label {
display:inline-block;
}
input{
padding: 1px 8px;
box-sizing: border-box;
width: 100%;
}
select{
width: 100%;
}
input[type=checkbox] {
display: inline-block;
width: auto;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
#app {
height: 100%;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets-shapes': 'npm:@mescius/spread-sheets-shapes/index.js',
'@mescius/spread-sheets-charts': 'npm:@mescius/spread-sheets-charts/index.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-react': 'npm:@mescius/spread-sheets-react/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'react': 'npm:react/umd/react.production.min.js',
'react-dom': 'npm:react-dom/umd/react-dom.production.min.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);

Chart area supports the following customization:
Background: color , transparency.
Text: font family, font size, color, transparency.
Border: color, transparency, width, dash style.
You can customize the chart area using the following code:
import { Component, NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { FormsModule } from '@angular/forms';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { SpreadSheetsModule } from '@mescius/spread-sheets-angular';
import GC from '@mescius/spread-sheets';
import "@mescius/spread-sheets-shapes";
import '@mescius/spread-sheets-charts';
import './styles.css';
@Component({
selector: 'app-component',
templateUrl: 'src/app.component.html'
})
export class AppComponent {
backColor = '#FF0000';
backColorTransparency = 0.7;
color = '#00FF00';
fontFamily = 'Calibri';
fontSize = 1;
transparency = 0.7;
borderColor = '#00FF00';
borderWidth = 1;
borderTransparency = 1;
borderDashStyle = '0';
spread: GC.Spread.Sheets.Workbook;
hostStyle = {
width: 'calc(100% - 280px)',
height: '100%',
overflow: 'hidden',
float: 'left'
};
initSpread($event: any) {
this.spread = $event.spread;
let spread = this.spread;
let sheet = spread.getSheet(0);
sheet.suspendPaint();
let dataArray = [
["", 'Chrome', 'Firefox', 'IE', 'Safari', 'Edge', 'Opera', 'Other'],
["2014", 0.4966, 0.1801, 0.2455, 0.0470, 0.0, 0.0150, 0.0158],
["2015", 0.5689, 0.1560, 0.1652, 0.0529, 0.0158, 0.0220, 0.0192],
["2016", 0.6230, 0.1531, 0.1073, 0.0464, 0.0311, 0.0166, 0.0225],
["2017", 0.6360, 0.1304, 0.0834, 0.0589, 0.0443, 0.0223, 0.0246]
];
sheet.setArray(0, 0, dataArray);
let chart = sheet.charts.add('Chart1', GC.Spread.Sheets.Charts.ChartType.lineMarkers, 30, 120, 480, 270, "A1:D5", GC.Spread.Sheets.Charts.RowCol.columns);
chart.title({
text: "Chart Area Customization"
});
let chartArea = chart.chartArea();
chartArea.border.color = "green";
chartArea.border.width = 3;
chartArea.fontSize = 9;
chartArea.color = "green";
chartArea.backColor = "orange";
chartArea.backColorTransparency = 0.8;
chart.chartArea(chartArea);
sheet.resumePaint();
this.initEvent();
}
initEvent() {
let self = this;
self.spread.bind(GC.Spread.Sheets.Events.FloatingElementSelected, function() {
let sheet = self.spread.getActiveSheet();
let chart = self.getActiveChart(sheet);
if (chart) {
self.readSetting(chart);
}
});
}
readSetting(chart: GC.Spread.Sheets.Charts.Chart) {
let chartArea = chart.chartArea();
if (!chartArea) {
return;
}
this.backColor = chartArea.backColor;
this.backColorTransparency = chartArea.backColorTransparency;
this.color = chartArea.color;
this.fontFamily = chartArea.fontFamily;
this.fontSize = chartArea.fontSize;
this.transparency = chartArea.transparency;
this.borderColor = chartArea.border.color;
this.borderWidth = chartArea.border.width;
this.borderTransparency = chartArea.border.transparency;
this.borderDashStyle = chartArea.border.dashStyle
}
applySetting() {
let sheet = this.spread.getActiveSheet();
let chart = this.getActiveChart(sheet);
if (!chart) {
return;
}
let chartArea = {
backColor: this.backColor,
backColorTransparency: parseFloat(<any>this.backColorTransparency),
color: this.color,
transparency: parseFloat(<any>this.transparency),
fontFamily: this.fontFamily,
fontSize: parseInt(<any>this.fontSize),
border: {
color: this.borderColor,
width: parseInt(<any>this.borderWidth),
transparency: parseFloat(<any>this.borderTransparency),
dashStyle: parseInt(this.borderDashStyle)
},
}
chart.chartArea(chartArea);
}
getActiveChart(sheet: GC.Spread.Sheets.Worksheet): GC.Spread.Sheets.Charts.Chart | null {
let activeChart = null;
sheet.charts.all().forEach(function(chart: GC.Spread.Sheets.Charts.Chart) {
if (chart.isSelected()) {
activeChart = chart;
}
});
return activeChart;
}
}
@NgModule({
imports: [BrowserModule, SpreadSheetsModule, FormsModule],
declarations: [AppComponent],
exports: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
enableProdMode();
// Bootstrap application with hash style navigation and global services.
platformBrowserDynamic().bootstrapModule(AppModule);
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/angular/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- Polyfills -->
<script src="$DEMOROOT$/en/angular/node_modules/core-js/client/shim.min.js"></script>
<script src="$DEMOROOT$/en/angular/node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/en/angular/node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('$DEMOROOT$/en/lib/angular/license.ts');
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="sample-tutorial">
<gc-spread-sheets [hostStyle]="hostStyle" (workbookInitialized)="initSpread($event)">
<gc-worksheet></gc-worksheet>
<gc-worksheet></gc-worksheet>
</gc-spread-sheets>
<div class="options-container">
<p>Change the properties below then press the Set button to apply these changes.</p>
<div class="option-row" id="">
<label for="backColor">Back Color</label>
<input type="text" id="backColor" [(ngModel)]="backColor" />
</div>
<div class="option-row" id="">
<label for="backColorTransparency">Back Color Transparency</label>
<input type="number" id="backColorTransparency" step="0.1" min="0" max="1" [(ngModel)]="backColorTransparency" />
</div>
<div class="option-row" id="">
<label for="fontFamily">Font Family</label>
<input type="text" id="fontFamily" [(ngModel)]="fontFamily" />
</div>
<div class="option-row" id="">
<label for="fontSize">Font Size</label>
<input type="number" id="fontSize" step="1" min="0" max="100" [(ngModel)]="fontSize" />
</div>
<div class="option-row" id="">
<label for="color">Color</label>
<input type="text" id="color" [(ngModel)]="color" />
</div>
<div class="option-row" id="">
<label for="transparency">Transparency</label>
<input type="number" id="transparency" step="0.1" min="0" max="1" [(ngModel)]="transparency" />
</div>
<hr>
<div class="option-row" id="">
<label for="border-color">Border Color:</label>
<input type="text" id="border-color" [(ngModel)]="borderColor" />
</div>
<div class="option-row" id="">
<label for="border-transparency">Border Transparency:</label>
<input type="number" id="border-transparency" step="0.1" min="0" max="1" [(ngModel)]="borderTransparency" />
</div>
<div class="option-row" id="">
<label for="border-width">Border Width:</label>
<input type="number" id="border-width" step="1" min="0" max="100" [(ngModel)]="borderWidth" />
</div>
<div class="option-row" id="">
<label for="border-dashStyle">Border DashStyle:</label>
<select id="border-dashStyle" [(ngModel)]="borderDashStyle">
<option value="0">solid</option>
<option value="1">dot</option>
<option value="2">dash</option>
<option value="3">lgDash</option>
<option value="4">dashDot</option>
<option value="5">lgDashDot</option>
<option value="6">lgDashDotDot</option>
<option value="7">sysDash</option>
<option value="8">sysDot</option>
<option value="9">sysDashDot</option>
<option value="10">sysDashDotDot</option>
</select>
</div>
<div class="option-row">
<input type="button" id="apply" value="Set" (click) ="applySetting()" />
</div>
</div>
</div>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
}
.option-row {
padding-bottom: 5px;
}
label {
display:inline-block;
}
input{
padding: 1px 8px;
box-sizing: border-box;
width: 100%;
}
select{
width: 100%;
}
input[type=checkbox] {
display: inline-block;
width: auto;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'core-js': 'npm:core-js/client/shim.min.js',
'zone': 'npm:zone.js/fesm2015/zone.min.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib':'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
'@mescius/spread-sheets-shapes': 'npm:@mescius/spread-sheets-shapes/index.js',
'@mescius/spread-sheets-charts': 'npm:@mescius/spread-sheets-charts/index.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-angular': 'npm:@mescius/spread-sheets-angular/fesm2020/mescius-spread-sheets-angular.mjs',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/spread-sheets-angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
}
}
});
})(this);